Subject: Re: [PATCH 0/9] Get svnrdump merged into git.git

From: Stefan Sperling <[email-masked]>
Date: Wed, 14 Jul 2010 09:03:23 +0200

On Wed, Jul 14, 2010 at 02:49:59AM +0200, Ramkumar Ramachandra wrote:
> Hi,
> 
> Jonathan Nieder writes:
> > As long as the relevant licenses permit that.  svnrdump only links to
> > libsvnclient, right?

It links against a couple of Subversion libraries and against APR.

> I can see another problem coming: things are likely to move around
> quite a bit after the code gets into the ASF. For instance, Stefan's
> recent review points out that write_hash_to_stringbuf should probably
> be in a reusable library. If these changes happen soon, svnrdump will
> be tightly integrated into Subversion, and it'll be hard to separate
> out an independent program. Then again, we don't know how soon this
> will happen.
> 
> If you get this series merged into git.git, Git people will be able to
> read and review it easily and it'll be guaranteed to compile against
> SVN 1.6. In other words, it won't be a moving part. The downside being
> that it's too painful to backport changes from the ASF version, so
> it'll remain outdated atleast until the next Subversion release, and
> we don't know how soon that'll happen and be widely available.
> 
> If the former option is preferred, I'll send one large patch to the
> list for mirroring the version in ASF.

Git devs will want a version of svnrdump that compiles against
the 1.6.x libraries. We'll want a version that compiles against
the trunk (so we can release it with 1.7).

So depending on which APIs svnrdump is using, it's likely that
you'll have to maintain 2 slightly differing versions anyway,
until 1.7 is released. (The current ETA for 1.7 is autumn, BTW).

> Also, could the Subversion
> people confirm that licensing isn't an issue?

I didn't catch any licensing discussion. What's the issue?

Stefan